Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create agent guidance

Create a guidance pack. scope=workspace applies to every lane; team/status/step packs match scopeKey against the issue’s teamId, its workflow status, and the session’s stepKey.

POST/workspaces/{organizationId}/agent/guidance
Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
scopestringrequired
Allowed:workspaceteamstatusstep
scopeKeystring | null
min length 1
bodystringrequired
min length 1
linksobject[]
Show properties
Array of object
labelstring
urlstringrequired
Responses
201

Guidance pack created (version 1)

idstringrequired
organizationIdstringrequired
namestringrequired
scopestringrequired
Allowed:workspaceteamstatusstep
scopeKeystring | nullrequired
bodystringrequired
linksobject[] | nullrequired
Show properties
Array of object
labelstring
urlstringrequired
versionintegerrequired
createdBystring | nullrequired
updatedBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/agent/guidance' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "scope": "workspace",
  "scopeKey": "string",
  "body": "string",
  "links": [
    {
      "label": "string",
      "url": "string"
    }
  ]
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "scope": "workspace",
  "scopeKey": "string",
  "body": "string",
  "links": [
    {
      "label": "string",
      "url": "string"
    }
  ],
  "version": 0,
  "createdBy": "string",
  "updatedBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?